Jetser

After J3.4 update BT Login 2.6.2 does not work

9 posts in this topic

Hello everyone, as the title bt login does not work anymore. The module is displayed but does not respond to any action.

This happens after the upgrade to Joomla 3.4 with the latest version of bt_login 2.6.2. I tried to find a solution but no luck.

I urgently need help because I prefer to use only bt_login for access to the site.

link

Many thanks in advance for support.

Share this post


Link to post
Share on other sites

Hi Jester.

I got the problem.

Please open file /mod_bt_login/tmpl/default.php

find this code

E_LOGIN_AUTHENTICATE : '<?php echo JText::_('E_LOGIN_AUTHENTICATE')?>',

REQUIRED_NAME : '<?php echo JText::_('REQUIRED_NAME')?>',

REQUIRED_USERNAME : '<?php echo JText::_('REQUIRED_USERNAME')?>',

REQUIRED_PASSWORD : '<?php echo JText::_('REQUIRED_PASSWORD')?>',

REQUIRED_VERIFY_PASSWORD : '<?php echo JText::_('REQUIRED_VERIFY_PASSWORD')?>',

PASSWORD_NOT_MATCH : '<?php echo JText::_('PASSWORD_NOT_MATCH')?>',

REQUIRED_EMAIL : '<?php echo JText::_('REQUIRED_EMAIL')?>',

EMAIL_INVALID : '<?php echo JText::_('EMAIL_INVALID')?>',

REQUIRED_VERIFY_EMAIL : '<?php echo JText::_('REQUIRED_VERIFY_EMAIL')?>',

EMAIL_NOT_MATCH : '<?php echo JText::_('EMAIL_NOT_MATCH')?>',

CAPTCHA_REQUIRED : '<?php echo JText::_('CAPTCHA_REQUIRED')?>'

Change all single quotes ' to quote "

Example

E_LOGIN_AUTHENTICATE : "<?php echo JText::_('E_LOGIN_AUTHENTICATE')?>",

Because in your language some sentences has ' . This quote make javascript error syntax.

Thanks.

Share this post


Link to post
Share on other sites

Hi Jester.

I got the problem.

Please open file /mod_bt_login/tmpl/default.php

find this code

E_LOGIN_AUTHENTICATE : '<?php echo JText::_('E_LOGIN_AUTHENTICATE')?>',

REQUIRED_NAME : '<?php echo JText::_('REQUIRED_NAME')?>',

REQUIRED_USERNAME : '<?php echo JText::_('REQUIRED_USERNAME')?>',

REQUIRED_PASSWORD : '<?php echo JText::_('REQUIRED_PASSWORD')?>',

REQUIRED_VERIFY_PASSWORD : '<?php echo JText::_('REQUIRED_VERIFY_PASSWORD')?>',

PASSWORD_NOT_MATCH : '<?php echo JText::_('PASSWORD_NOT_MATCH')?>',

REQUIRED_EMAIL : '<?php echo JText::_('REQUIRED_EMAIL')?>',

EMAIL_INVALID : '<?php echo JText::_('EMAIL_INVALID')?>',

REQUIRED_VERIFY_EMAIL : '<?php echo JText::_('REQUIRED_VERIFY_EMAIL')?>',

EMAIL_NOT_MATCH : '<?php echo JText::_('EMAIL_NOT_MATCH')?>',

CAPTCHA_REQUIRED : '<?php echo JText::_('CAPTCHA_REQUIRED')?>'

Change all single quotes ' to quote "

Example

E_LOGIN_AUTHENTICATE : "<?php echo JText::_('E_LOGIN_AUTHENTICATE')?>",

Because in your language some sentences has ' . This quote make javascript error syntax.

Thanks.

By applying the corrections above the problem seems to solved and now everything seems to be working correctly :) .

Thank you so much for the support ;) .

Share this post


Link to post
Share on other sites

I can certainly understand why the changes described above are necessary, however it does not solve the problem.

Given the length of time this issue has been present and unresolved, as well as the obvious problems shown in this forum thread, I think I'll cut my losses and find a different module, as I have little confidence in this one!

Share this post


Link to post
Share on other sites
On 20/4/2015 at 5:30 AM, tronghm said:

Hi Jester.

I got the problem.

Please open file /mod_bt_login/tmpl/default.php

find this code

E_LOGIN_AUTHENTICATE : '<?php echo JText::_('E_LOGIN_AUTHENTICATE')?>',

REQUIRED_NAME : '<?php echo JText::_('REQUIRED_NAME')?>',

REQUIRED_USERNAME : '<?php echo JText::_('REQUIRED_USERNAME')?>',

REQUIRED_PASSWORD : '<?php echo JText::_('REQUIRED_PASSWORD')?>',

REQUIRED_VERIFY_PASSWORD : '<?php echo JText::_('REQUIRED_VERIFY_PASSWORD')?>',

PASSWORD_NOT_MATCH : '<?php echo JText::_('PASSWORD_NOT_MATCH')?>',

REQUIRED_EMAIL : '<?php echo JText::_('REQUIRED_EMAIL')?>',

EMAIL_INVALID : '<?php echo JText::_('EMAIL_INVALID')?>',

REQUIRED_VERIFY_EMAIL : '<?php echo JText::_('REQUIRED_VERIFY_EMAIL')?>',

EMAIL_NOT_MATCH : '<?php echo JText::_('EMAIL_NOT_MATCH')?>',

CAPTCHA_REQUIRED : '<?php echo JText::_('CAPTCHA_REQUIRED')?>'

Change all single quotes ' to quote "

Example

E_LOGIN_AUTHENTICATE : "<?php echo JText::_('E_LOGIN_AUTHENTICATE')?>",

Because in your language some sentences has ' . This quote make javascript error syntax.

Thanks.

Hi, today I have the same problem again on the version of BTLogin 2.6.4, I tried to follow your advice again to change from single to double quote (' > ") but this time it did not work...

This is the link

New tips???

As always thank you in advance for the support;)

screen.jpg

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now